Subject: bug#16308: 24.3.50; doc of `font-lock-keywords'

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 07 Feb 2014 18:50:06 -0800

Drew Adams <[email-masked]> writes:

> The description in the Elisp manual, which is our reference, should be
> at least as complete as the doc string.  It is not.  In particular, it
> does not describe the structure of the value correctly.  It does not
> mention the compiled form, with car `t' etc.
>
> The doc string is far more complete.  If anything, it should be the
> other way around.  But preferably, both doc string and manual (node
> `Search-based Fontification', currently) should each be complete and
> correct.

No, I think the information about the compiled form isn't particularly
relevant for people who are composing the keywords, while it is relevant
for people who examine the variable, so it's fine the way it is.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/